GNU bug report logs - #57555
29.0.50; variable-pitch font issue with medium weight default font

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Amin Bandali <bandali@HIDDEN>; dated Sat, 3 Sep 2022 01:36:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 8 Sep 2022 13:35:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 09:35:41 2022
Received: from localhost ([127.0.0.1]:57733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWHgy-0000Dm-T1
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2022 09:35:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oWHgx-0000DY-Oe
 for 57555 <at> debbugs.gnu.org; Thu, 08 Sep 2022 09:35:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60360)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oWHgs-00045x-5h; Thu, 08 Sep 2022 09:35:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=lE5gbqv1wp76h9nxpXfuwMOs+0NYeDwby82awPEr8yg=; b=dYIYAWfbKxkU
 UPeh4gwFHGqQ3LqHDijTN9PcjgyDNSt7ZThyZWgy7dU33BAmKsS6LAGrQb12fvVNw5gJoZI/wwd8G
 u/LH1ekUBsF2Gxmk93yeb4hTxz2ALL/17FgfCj2injaY5bRWqop9KRvf26Y403pF72wWbOkaSqhrk
 LGnms4+filgUwP61XgjIhj3r35i0WNSDQP78brr75wsH4LXYJDru1LDlD0wrZ2deFMtGpBz0A9ruP
 S2jlLvq1l9hmwzdSZTtyZcx8YGY6na1Wqo9WpcHDHYxS3QS412sZEFhQd6Bv5GDfNs1nITRj8VomH
 BQUb5x7AkggHEgj/IpStWw==;
Received: from [87.69.77.57] (port=3808 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oWHgQ-0005RT-4R; Thu, 08 Sep 2022 09:35:17 -0400
Date: Thu, 08 Sep 2022 16:34:51 +0300
Message-Id: <8335d2f0qs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87k06e5bzh.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 08 Sep 2022 13:42:10 +0200)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
 <87pmg8r30a.fsf@HIDDEN> <83zgfcik6g.fsf@HIDDEN>
 <87illznylq.fsf@HIDDEN> <831qsnibje.fsf@HIDDEN>
 <87k06e5bzh.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, gregory@HIDDEN, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: gregory@HIDDEN,  bandali@HIDDEN,  57555 <at> debbugs.gnu.org
> Date: Thu, 08 Sep 2022 13:42:10 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > So maybe we should consider resetting just the weight attribute,
> > perhaps only if its value is 'medium' (assuming that solves this
> > particular issue).  That's a far cry from resetting all of them.
> 
> Yes -- what we had before the last change was "reset all except a
> couple", and I suspect we should just keep going that way instead.  And
> include the weight in that list.
> 
> But I'm not at all sure about anything in this area.

"All except a couple" is too many, and the couple that was exempted
was rather arbitrary, as the discussion has shown.  So I'd rather we
added attributes to the list of those we reset one by one, and only
after careful consideration.

Right now, I'm not even sure resetting the weight if it's value is
'medium' will solve Amin's problem, because Amin didn't respond.  Once
it says his problem is solved by that, I think we should reset only
the 'medium' weight, and see whether this causes problems elsewhere.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 8 Sep 2022 11:42:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 07:42:23 2022
Received: from localhost ([127.0.0.1]:57388 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWFvL-0005G3-LZ
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2022 07:42:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oWFvJ-0005Fq-PU
 for 57555 <at> debbugs.gnu.org; Thu, 08 Sep 2022 07:42:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DHm/jZs6aisveEipo0i723Xka5MMznAz8PuiXNp938I=; b=Ff4tmdYc8cOyKjWzaqSUOtLL5T
 6JLpZUdYFPh4+rPobYzG/+Skuhf0DKHB0pArNsoYrbkVSAUlrNuqSyipriIE1oO3oUcwCBefWtRgh
 doa48lo08s1btpukK+WAqC2CsmvG8Jx9YCMMHqe4eSwsG4PkPD7IwVf0TiAFqD+SS76g=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oWFv9-0001iC-Bk; Thu, 08 Sep 2022 13:42:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <831qsnibje.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Sep
 2022 16:01:09 +0300")
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
 <87pmg8r30a.fsf@HIDDEN> <83zgfcik6g.fsf@HIDDEN>
 <87illznylq.fsf@HIDDEN> <831qsnibje.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEUuIwtVOyFpZlQG
 BgJIMgZWTRBnVx1xbyt5gzmJczGFek2fklG6spOsl0T///9GbpeoAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YJCAsjLERJ7MIAAAGVSURBVDjL1dO9TsMwEAdwoxbmFgl2eAKkvgBIyQMg1V4QA0POCkwM
 sRv1AcLHxEDLqXSBibIhgWhNJD7WsCKhknfBLthJQWxd+E/R/XJ2Yp0JIXN1m0X3VK+Rxh+ZGazN
 BshPWCOEVD2dEpia5+KAkKl6AVU6yW+YBwAuwaT5A6RN4GuoWFgA4YB6vl8CLpMviOhUB5etgwNT
 x4hSv1mxvznPpUxaiGg6KLu+WF0pNhcyNiAgoO3R4MbtcSyT3qFS6kjdertTkNwfDTQM1ZDuZdmz
 Bb1vS/Y0XCkVlAFAQ4zHajhOo60HB0xQJvlZt6dG6vXO36nXvr+KyUA3hdDWi6VvbJ/UGhYmJ8i4
 HEh83x4/PDmgTNdhWba7aX6eZQU0eRQusRBjzPOPAmjkC9E/3Qyxg6mRRwsB7Uo8qQNy1C1jC1V9
 QF3ADoQI8TRQ1jEAKOK0DPqsk7j/DhCLEPt5L3v5Hrt14gd6nU4oIBz289yCGSyPVr9mZ2MZ+PWl
 A10lRYr7YQZR6/qkXGmUwb058zv47+ATvbpQrpuNH0IAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjIt
 MDktMDhUMTE6MzU6NDQrMDA6MDDAyxK/AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA5LTA4VDEx
 OjM1OjQ0KzAwOjAwsZaqAwAAAABJRU5ErkJggg==
X-Now-Playing: David Grubbs & Nikus Veliotis's _The Harmless Dust_: "The
 Harmless Dust, Pt. Two"
Date: Thu, 08 Sep 2022 13:42:10 +0200
Message-ID: <87k06e5bzh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > So maybe we should
 consider resetting just the weight attribute, > perhaps only if its value
 is 'medium' (assuming that solves this > particular issue). That's a far cry
 from resetting all of them. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, gregory@HIDDEN, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> So maybe we should consider resetting just the weight attribute,
> perhaps only if its value is 'medium' (assuming that solves this
> particular issue).  That's a far cry from resetting all of them.

Yes -- what we had before the last change was "reset all except a
couple", and I suspect we should just keep going that way instead.  And
include the weight in that list.

But I'm not at all sure about anything in this area.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 7 Sep 2022 13:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:01:35 2022
Received: from localhost ([127.0.0.1]:53995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVugQ-0005Am-QE
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:01:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVugP-0005AO-Ia
 for 57555 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:01:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58298)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVugJ-0000zN-Ko; Wed, 07 Sep 2022 09:01:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=JJ8UG71VEhqbm1oxlvz+cIjo/rS2WJ6zWybJ6Mbwb4E=; b=EnKS0TTPvrg8
 Itx/sJZHgNq0W1cRYRdr+vnDpIb8LgczdenhdYQRuNjHtRWN469rrgwp6wVkIgU8J+nKpBxXtqxzG
 VThLkvvA0M65PJkxHPh4zGBvGu5QEkl2Xau8WwcZmEjFEAjYY3TbiXDuT8zQFfjPaAO/iNIJ5JWgD
 SHZQ0uE2bcH6BPLUfRufbJwIzp48qoZAG5SPIr7dklBI3SvPpH0tTdo++iNvK9fRkiHsc1bsbfX/D
 yDcOQ80qrS77TPx/9aJwJ/Kg9U6qKAQV4mwKNjUk/2YNU8my9WZ6XGIXnS08N2kd3N3IBwGuOy5fz
 zdK2xjywPe4lmjwO/qVtNg==;
Received: from [87.69.77.57] (port=1463 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVugI-0007ce-Vp; Wed, 07 Sep 2022 09:01:27 -0400
Date: Wed, 07 Sep 2022 16:01:09 +0300
Message-Id: <831qsnibje.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87illznylq.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 07 Sep 2022 14:44:01 +0200)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
 <87pmg8r30a.fsf@HIDDEN> <83zgfcik6g.fsf@HIDDEN>
 <87illznylq.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, gregory@HIDDEN, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: gregory@HIDDEN,  bandali@HIDDEN,  57555 <at> debbugs.gnu.org
> Date: Wed, 07 Sep 2022 14:44:01 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> So we've come full circle.
> >
> > No, we haven't.
> 
> In what way isn't that "full circle"?

In the way I explained below:

> > Emacs works as expected: it requests a medium-weight
> > font for the variable-pitch face, because the fixed-pitch face was
> > customized to use a medium weight.  Since the font Amin wants to use
> > for variable-pitch doesn't have a medium variant, Emacs selects
> > another one.  There's no real problem I see here, except an issue with
> > user expectations not being satisfied.
> 
> I think that the vast majority of users would want Emacs to choose a
> different weight, but use the same font, which is what we had before we
> went full circle.

So maybe we should consider resetting just the weight attribute,
perhaps only if its value is 'medium' (assuming that solves this
particular issue).  That's a far cry from resetting all of them.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 7 Sep 2022 12:44:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:44:17 2022
Received: from localhost ([127.0.0.1]:53859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuPh-0002Oq-DY
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:44:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVuPa-0002OX-N0
 for 57555 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:44:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=qKgGFEQYClMiJAaUTZZbfwH11vsAdX3GzYKsY8H6DJk=; b=VWDSXopT7SUsXXsi6DYttJSy/n
 WCQ8vYGPVTCq1FqGDfTJz11hw8bGsRULzqebhmAI4Qo1znblbppDa6d+cCm6L9UPYacM3c+1G/Iv1
 42dVbHkxr//WopxScTKT/lT1Ea1SbqYz8+DYynqgr+hOvBGcaRpEn63PJp8tRzCbnLr8=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVuPR-0006q3-Kx; Wed, 07 Sep 2022 14:44:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <83zgfcik6g.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 06 Sep
 2022 18:42:15 +0300")
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
 <87pmg8r30a.fsf@HIDDEN> <83zgfcik6g.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+YJBhYCMCj24n4A
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNlQyMjowMjo0NyswMDowMGs0yuQAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjItMDktMDZUMjI6MDI6NDcrMDA6MDAaaXJYAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: Yasushi Ide - =?utf-8?Q?=E2=80=98Ain't?= No =?utf-8?Q?Sunsh?=
 =?utf-8?Q?ine=E2=80=99?= (Space Dub Mix) (Exclusive
 remix)'s _Late Night Tales: Version Excursions (Selected By Don Letts)_:
 "Originally recorded by Bill Wit"
Date: Wed, 07 Sep 2022 14:44:01 +0200
Message-ID: <87illznylq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> As far as I can tell,
 your patch just reverted the code back to the >> state before this: >> >>
 commit bf0d3f76dcfe7881cb3058169b51cf6602fdcdcb >> Author: Kenichi Handa
 <handa@HIDDEN> >> AuthorDat [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, gregory@HIDDEN, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> As far as I can tell, your patch just reverted the code back to the
>> state before this:
>> 
>> commit bf0d3f76dcfe7881cb3058169b51cf6602fdcdcb
>> Author:     Kenichi Handa <handa@HIDDEN>
>> AuthorDate: Sun Jul 20 00:18:23 2014 +0900
>> 
>>     2014-07-19  Kenichi Handa  <handa@HIDDEN>
>>     
>>             * xfaces.c (realize_x_face): Call font_load_for_lface with no
>>             mandatory font spec (Bug#17973).
>>     
>>     2014-07-19  Stefan Monnier  <monnier@HIDDEN>
>>     
>>             * font.c (font_score): Return the worst score if the size of
>>             ENTITY is wrong by more than a factor 2 (Bug#17973).
>
> Yes.  As I explained back then.
>
>> So we've come full circle.
>
> No, we haven't.

In what way isn't that "full circle"?

> Emacs works as expected: it requests a medium-weight
> font for the variable-pitch face, because the fixed-pitch face was
> customized to use a medium weight.  Since the font Amin wants to use
> for variable-pitch doesn't have a medium variant, Emacs selects
> another one.  There's no real problem I see here, except an issue with
> user expectations not being satisfied.

I think that the vast majority of users would want Emacs to choose a
different weight, but use the same font, which is what we had before we
went full circle.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 15:42:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:42:42 2022
Received: from localhost ([127.0.0.1]:52378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVain-00070v-P4
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:42:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVail-00070Z-Kq
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:42:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41930)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVaig-00008B-A3; Tue, 06 Sep 2022 11:42:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=/PGxEceTYu0KsvakYjlQB/auhJS2qo34xUkhKXG8PDM=; b=fPEJHJtZWoZM
 dct4sujoGn07Swh2n9Fjc+ALGsuEF8g1PPFUc2hT06WBSgVuR+cV9MQNpG0iKJKrUmkIdkoa9d1nN
 FKlFePkCXL0sWGp0bgcaKplcXSv0jPx29wNppc57akUyKA3clQMb+W6RtCUzP3DDV+d40Z7tfbWk1
 JB8J1axajGSbkPe0z73wK5bWMp2U/R7dOn7rm0ZIOqM7f4+jCAcbL3oveDaYI5D8PbZKGNceCExNO
 AhjWsDKxCHJrmGuAsxxEAFIJZcyG7uGslifswrS9Gj2rGXT+TufXfmOAj1qyQzDBVUmCQnlyaLGX6
 KjBsx0zVmDQb9zn0A1UFvQ==;
Received: from [87.69.77.57] (port=2310 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVaif-000189-Ok; Tue, 06 Sep 2022 11:42:34 -0400
Date: Tue, 06 Sep 2022 18:42:15 +0300
Message-Id: <83zgfcik6g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87pmg8r30a.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 06 Sep 2022 16:28:21 +0200)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
 <87pmg8r30a.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, gregory@HIDDEN, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Gregory Heytings <gregory@HIDDEN>,  bandali@HIDDEN,
>   57555 <at> debbugs.gnu.org
> Date: Tue, 06 Sep 2022 16:28:21 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Well, you reverted the important part of commit 6b1ed2f, which Amin
> > said caused his problem.  So you are not on a wrong path wrt that...
> 
> As far as I can tell, your patch just reverted the code back to the
> state before this:
> 
> commit bf0d3f76dcfe7881cb3058169b51cf6602fdcdcb
> Author:     Kenichi Handa <handa@HIDDEN>
> AuthorDate: Sun Jul 20 00:18:23 2014 +0900
> 
>     2014-07-19  Kenichi Handa  <handa@HIDDEN>
>     
>             * xfaces.c (realize_x_face): Call font_load_for_lface with no
>             mandatory font spec (Bug#17973).
>     
>     2014-07-19  Stefan Monnier  <monnier@HIDDEN>
>     
>             * font.c (font_score): Return the worst score if the size of
>             ENTITY is wrong by more than a factor 2 (Bug#17973).

Yes.  As I explained back then.

> So we've come full circle.

No, we haven't.  Emacs works as expected: it requests a medium-weight
font for the variable-pitch face, because the fixed-pitch face was
customized to use a medium weight.  Since the font Amin wants to use
for variable-pitch doesn't have a medium variant, Emacs selects
another one.  There's no real problem I see here, except an issue with
user expectations not being satisfied.

"Fixing" this by disregarding all the attributes of the face's font is
throwing the baby with bathwater.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 14:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 10:28:36 2022
Received: from localhost ([127.0.0.1]:52221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZZ5-0002SI-UQ
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:28:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVZZ2-0002S1-4f
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:28:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VsSSob4D92Qzce6LwsL62nQLIwdOv1GbDtYTOZs7v+Y=; b=GoPIPX6AVEw+jT6p4IXgCpMchd
 ISViGBtxuVFIdSSFlfKVOnWwYh2NgqNlSZqemNg5HlCRnkEnerw8klg+cUTLC07MrFR7TC42Cgskb
 CDO1XiK0b7YPezwbWufbjjFKzntw3bRlUon5ZcikcUU9B6j1H19F6RCBkY+YW9KrbTXw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVZYs-0005Yb-EN; Tue, 06 Sep 2022 16:28:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <838rmwk6of.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 06 Sep
 2022 15:50:56 +0300")
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
 <87y1uxg8px.fsf@HIDDEN> <83o7vtkeft.fsf@HIDDEN>
 <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
 <876431c7a6f70869c7f9@HIDDEN> <838rmwk6of.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUmIiSMfHPIwr//
 ///XfD68AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJBg4bFerHbekAAAGPSURBVCjPRdFBa6NAFAfw
 l1KH6MmCKepJignqp3BDG8KeTFGpPZlFhySfws0hbHMyIUrrKQYDOp9ynTG2c5of/5nHezwAmKtW
 rRZRAvTMeasWSJTeMPkUiBG2VxuGCq5/IONVC+2GPzXamD0u9cxSpG/4E0Vm1Rjw72GPBuE9/53c
 rfcvHYwW9X72g8/dlkE2LtHg33HbJxF8XLZ2h6MOX8sDg2QetQHR06RDrklYP9+w0yVs9MjNNX4L
 HQrRzK0m/tAZNL3YuKsvo0f8Vy7YqKCFTQVyrnRYBCkMXwUG0ePPwD/NJJYEoxOgyW7eYVECsrbP
 FOPGPwBSpvcUavayhJHnMSjXaZk8ZSZHwV1f63B5eJ9S3JF0gJ6VIqdAxAX/hEhD0S7KsU6P5I2h
 iVMhfSQVQ3A9ocQnZwreKzMhCQhbKsrLbPbL6yD4ZbEYeBv2R30PC4dbWyxRg2UWcat2DtpbIHoV
 RDHD2JViByrMno1BenAWFWYFrnD/YCN3lFFkYEsguCKbxwUYiYpjc/Afhu+BQQa9QocAAAAldEVY
 dGRhdGU6Y3JlYXRlADIwMjItMDktMDZUMTQ6Mjc6MjErMDA6MDCsSn7aAAAAJXRFWHRkYXRlOm1v
 ZGlmeQAyMDIyLTA5LTA2VDE0OjI3OjIxKzAwOjAw3RfGZgAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 2_: "On The Air"
Date: Tue, 06 Sep 2022 16:28:21 +0200
Message-ID: <87pmg8r30a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Well, you reverted
 the important part of commit 6b1ed2f, which Amin > said caused his problem.
 So you are not on a wrong path wrt that... As far as I can tell, your patch
 just reverted the code back to the state before this: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Well, you reverted the important part of commit 6b1ed2f, which Amin
> said caused his problem.  So you are not on a wrong path wrt that...

As far as I can tell, your patch just reverted the code back to the
state before this:

commit bf0d3f76dcfe7881cb3058169b51cf6602fdcdcb
Author:     Kenichi Handa <handa@HIDDEN>
AuthorDate: Sun Jul 20 00:18:23 2014 +0900

    2014-07-19  Kenichi Handa  <handa@HIDDEN>
    
            * xfaces.c (realize_x_face): Call font_load_for_lface with no
            mandatory font spec (Bug#17973).
    
    2014-07-19  Stefan Monnier  <monnier@HIDDEN>
    
            * font.c (font_score): Return the worst score if the size of
            ENTITY is wrong by more than a factor 2 (Bug#17973).

So we've come full circle.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 13:15:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 09:15:54 2022
Received: from localhost ([127.0.0.1]:50090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVYQk-0008GP-FG
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:15:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVYQg-0008G6-2R
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:15:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55888)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVYQa-0006Qm-IO; Tue, 06 Sep 2022 09:15:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=DsAZ6k+0+oHb4HY1QFlMAYc34XHW8f3GrRVtmKoeyCk=; b=RrgezUPix8MO
 VSzFSG+S190MX0X89422e3GJbYEIUQqMSXZ1QZgXFye1zynFPMzO81DfcxQ2/Ct7iXC1HbYL7aoHy
 bCbkg1bgFlhjv3r5AEcpAx8S2JQlM3Rm+0ERA1u1MsNBt1PIjWDbFKUVTxl6hjFoXeIALuEP5mycD
 +4gy+VBGXFzLIEodPrCc5S4e+yzvkloDNJx/ZGFmCbcXIuuKxQwTV5BGEU+iJtjtKBEA6IRnF4CDO
 sDV7yTRPAJI31YnSGCGhJ9e01D0fpZcxWMTbgDL80e79dTSbvOmz9w0BL0ZDvc/YTIsI5OBY1EB6/
 RZPwm5+bmQsQ0igv5mSvfw==;
Received: from [87.69.77.57] (port=1222 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVYQa-0006CB-0w; Tue, 06 Sep 2022 09:15:44 -0400
Date: Tue, 06 Sep 2022 16:15:25 +0300
Message-Id: <8335d4k5jm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <876431c7a6e706d551b3@HIDDEN> (message from Gregory
 Heytings on Tue, 06 Sep 2022 13:09:46 +0000)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN>
 <83k06hjkwz.fsf@HIDDEN> <876431c7a6f70869c7f9@HIDDEN>
 <838rmwk6of.fsf@HIDDEN> <876431c7a6e706d551b3@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: bandali@HIDDEN, 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 06 Sep 2022 13:09:46 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: 57555 <at> debbugs.gnu.org, bandali@HIDDEN
> 
> FWIW, I don't think I agree that bug#37473 is much more serious than
> what Amin describes, but I'm not yet sure about that either.

Losing the antialias attribute of the font? it's serious.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 13:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 09:09:52 2022
Received: from localhost ([127.0.0.1]:50084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVYKu-00085z-Nd
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:09:52 -0400
Received: from heytings.org ([95.142.160.155]:57410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVYKq-00085n-5j
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 09:09:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662469787;
 bh=+Zm/0trpquuP8+fULsveSalBKhlSZxZxsr0yLZgl4js=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Iny9A/7zY/Ia8G7W/a2gBU1rqMhrDdZxL7+t74ttAU4omLL6vwapX/jhG3JJ1Db5I
 lgrHPXmspxhskq+awXoefa++fuA35FLE1YhNIrcfHtl8z5opLI1a+BjerSbVzTreOn
 QLbdHFcnYG+jv4epi5ElfWjrO1ntcrDY7chJHseBlDDrJ29Hc6V+7f25oq52b+zPEW
 pcPhB4Vx3V01Dvkh/wATZUZSgLa8bTzU5rPzSO9QeUto4TIt5eVjPSDGwt7EpER3QR
 bMGsq8Fh62dh4KVRMSkZgxWdbE+Sd0YUtWGyqZ4Pnpgy3QdNU92t/ry2G3z2fJ2jU3
 fPz9HR00M/Opg==
Date: Tue, 06 Sep 2022 13:09:46 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
In-Reply-To: <838rmwk6of.fsf@HIDDEN>
Message-ID: <876431c7a6e706d551b3@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN>
 <83k06hjkwz.fsf@HIDDEN> <876431c7a6f70869c7f9@HIDDEN>
 <838rmwk6of.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57555
Cc: bandali@HIDDEN, 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Why is this TRT, even if it does solve this particular problem?
>>
>> I don't claim it's TRT, I was exploring that bug and wanted to 
>> double-check with Amin that I'm not on a wrong path.
>
> Well, you reverted the important part of commit 6b1ed2f, which Amin said 
> caused his problem.  So you are not on a wrong path wrt that...
>

???  I didn't revert anything, I only asked Amin to try a patch.

>>> Forgetting the other attributes is problematic, and would quite 
>>> certainly lead to much more serious problems.
>>
>> I don't know.  That's what that code had been doing during the last 
>> eight years or so, so it can't be completely wrong.
>
> It also caused bug#37473, which IMO is much more serious than what Amin 
> describes, and which I attempted to fix in commit 6b1ed2f with exactly 
> the part you now suggest to remove.
>

I don't suggest anything or want to remove anything, sorry if that was 
unclear in my previous post.  FWIW, I don't think I agree that bug#37473 
is much more serious than what Amin describes, but I'm not yet sure about 
that either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 12:51:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 08:51:25 2022
Received: from localhost ([127.0.0.1]:50044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVY33-0007Yf-Ev
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:51:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVY2y-0007YO-Tf
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 08:51:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57376)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVY2t-00018E-Le; Tue, 06 Sep 2022 08:51:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Hkm6Zwx6T/CtQB6Ljfp4LUW2WvjgZRpFhS8EVuIK9Uo=; b=kLRJfBXBCIFn
 BwTo892SFP9tAaIjMRZlzECQATe8La2SXgXS8PCdGDvaJYXl9DOupQBAzcMfJuiUDObHOA5czcl3L
 jZy9KC2aaOSKt9925zRiAsPHqdvw6UofCV+DC3If/zUGymANgRJeXpaU9JKAMTXeCX52KO+5mCauD
 6PqeoCoszK4t6fk2kuXv5sdCUrNoiYF8e/4aqCWhWu2sZbON/HKnFrF81rjYSxLuDw0gdZIAizGeW
 oZCWCWFkr0dcevqwKa4F4iWAL4ri/b3yv8utUhtOsrl4+r56paAf2/XDmvkzsGeOLpD8q4bkJltTb
 8xgb+P87NbxFJmu6GlxBTA==;
Received: from [87.69.77.57] (port=3705 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVY2t-0006Af-44; Tue, 06 Sep 2022 08:51:15 -0400
Date: Tue, 06 Sep 2022 15:50:56 +0300
Message-Id: <838rmwk6of.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <876431c7a6f70869c7f9@HIDDEN> (message from Gregory
 Heytings on Tue, 06 Sep 2022 08:08:22 +0000)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN>
 <83k06hjkwz.fsf@HIDDEN> <876431c7a6f70869c7f9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: bandali@HIDDEN, 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 06 Sep 2022 08:08:22 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: 57555 <at> debbugs.gnu.org, bandali@HIDDEN
> 
> >> Amin, can you try the following patch, and tell us if it fixes your 
> >> problem?
> >
> > Why is this TRT, even if it does solve this particular problem?
> 
> I don't claim it's TRT, I was exploring that bug and wanted to 
> double-check with Amin that I'm not on a wrong path.

Well, you reverted the important part of commit 6b1ed2f, which Amin
said caused his problem.  So you are not on a wrong path wrt that...

> > Forgetting the other attributes is problematic, and would quite 
> > certainly lead to much more serious problems.
> 
> I don't know.  That's what that code had been doing during the last eight 
> years or so, so it can't be completely wrong.

It also caused bug#37473, which IMO is much more serious than what
Amin describes, and which I attempted to fix in commit 6b1ed2f with
exactly the part you now suggest to remove.

Did you read the discussion of bug#37473?  We've been through the
issue of whether ignoring some of the font attributes is a good
strategy; my conclusion was that it wasn't, and thus the change I made
in 6b1ed2f simply went back to the code we had for many years before
commit bf0d3f7, which did what you are suggesting to do now, and
caused bug#37473.

If, after reading those discussions, and studying the changes we did
in that area of the code, you still think the change you propose is
the right way, please elaborate why you think so, given all the
negative feedback we have for it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 08:08:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 04:08:26 2022
Received: from localhost ([127.0.0.1]:49487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVTdB-00050U-UL
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 04:08:26 -0400
Received: from heytings.org ([95.142.160.155]:57094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVTd9-00050G-Og
 for 57555 <at> debbugs.gnu.org; Tue, 06 Sep 2022 04:08:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662451702;
 bh=o1j5FRzxx2cUc73WGbC3AIzN718Xpx8lphIj8LMstLs=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=6bgz1CXRtxrZ//YbAWPmxvsKhcJKMIZwAepOI2drgYLuKsET4DNsSRP121IqDv6KW
 BtPfsgrU6dFbn+uwb/OWdKWHm+c9lLR0fmL0SXPE4N8JF4TTwfIWFQJihrf4CfBOoB
 cgREJcqSL7zHquVA7jfA1DN9q5p9tavd1MR+msi4UhJmuH0618rNGVG+dU/rpZmUeN
 XcnipCzCANuU0nftW9T2zmmJ98LR8WfIPy0qZNolK7O2kwvpa8pGLoYU2W00Vciqtw
 VbDQK0Tg3jm9SNoAUzhuF9yFm2NUIsvThmAz1O3adny0fXZDLPrql9/EwXxy4sB9f+
 e58C4lGWVCVBg==
Date: Tue, 06 Sep 2022 08:08:22 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
In-Reply-To: <83k06hjkwz.fsf@HIDDEN>
Message-ID: <876431c7a6f70869c7f9@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN> <83k06hjkwz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57555
Cc: bandali@HIDDEN, 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> Amin, can you try the following patch, and tell us if it fixes your 
>> problem?
>
> Why is this TRT, even if it does solve this particular problem?
>

I don't claim it's TRT, I was exploring that bug and wanted to 
double-check with Amin that I'm not on a wrong path.

>
> Forgetting the other attributes is problematic, and would quite 
> certainly lead to much more serious problems.
>

I don't know.  That's what that code had been doing during the last eight 
years or so, so it can't be completely wrong.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 02:34:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 22:34:11 2022
Received: from localhost ([127.0.0.1]:49275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVOPj-0004cO-Mp
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 22:34:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1oVOPh-0004cC-EI
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 22:34:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53384)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>)
 id 1oVOPc-0006Yr-4d; Mon, 05 Sep 2022 22:34:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=UabMfVfyWAhaDJXTaPHOCEZSeBqEEum1j/dKKmLDlrg=; b=c6p/3pWogV3shCThbC+m
 T7R5oqNpj26NW85BpV0HMCmrlSEurnj//J/q0BM2xT/r62O0KTcir9Aqsc+i9AM9Q1oF92sL5myE5
 Do+aFEQyWKqImsQikr/97ACstqNNGIEUJhvZ/V7lrVXWymWZhvIEmtE6t6QJhHPpi8bBp6qiaFvTw
 J5e76WY+Qpl4JSx/D+vUn4tZ8DqO3V7Uc6D40WRcA+G8PL5ILXyRLUUCpyl3dlwSgPVPmvuX1CF8+
 ti0wC+qVVLsaP6FwUZGrorw8ly8SJYiOSNF+o8B7uN+nwKmAJMonmDgymJyfhaZ+5uAYKlLCQKiwB
 f4yw88wYqLub6g==;
Received: from bras-base-toroon473mw-grc-20-174-89-30-44.dsl.bell.ca
 ([174.89.30.44]:39812 helo=langa)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>)
 id 1oVOPb-0008O3-Ci; Mon, 05 Sep 2022 22:34:03 -0400
From: Amin Bandali <bandali@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <0b2303e392485748bca7@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN>
Date: Mon, 05 Sep 2022 22:34:02 -0400
Message-ID: <871qsput7p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: Eli Zaretskii <eliz@HIDDEN>, 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Gregory Heytings writes:

> Amin, can you try the following patch, and tell us if it fixes your
> problem?
>
> diff --git a/src/xfaces.c b/src/xfaces.c
> index 5e3a47d7f8..08f37cf0b2 100644
> --- a/src/xfaces.c
> +++ b/src/xfaces.c
> @@ -6058,7 +6058,7 @@ realize_gui_face (struct face_cache *cache,
> Lisp_Object attrs[LFACE_VECTOR_SIZE]
>         }
>        if (! FONT_OBJECT_P (attrs[LFACE_FONT_INDEX]))
>         attrs[LFACE_FONT_INDEX]
> -         = font_load_for_lface (f, attrs, attrs[LFACE_FONT_INDEX]);
> +         = font_load_for_lface (f, attrs, Ffont_spec (0, NULL));
>        if (FONT_OBJECT_P (attrs[LFACE_FONT_INDEX]))
>         {
>           face->font = XFONT_OBJECT (attrs[LFACE_FONT_INDEX]);
>

Thank you both.  Gregory, your proposed patch indeed seems to help fix
this and restore the expected behaviour for my use-case as far as
I can tell; thanks!  Would you mind elaborating on how you suspected
this might be a potential fix?

Thanks again,
-a




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 6 Sep 2022 02:29:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 22:29:11 2022
Received: from localhost ([127.0.0.1]:49259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVOKt-0004Sr-AR
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 22:29:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVOKs-0004Sg-76
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 22:29:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48394)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVOKm-0005jL-Uk; Mon, 05 Sep 2022 22:29:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=JMv85Qy1uIbXSa8ZXXSZVZJtFza15+rpiC1aJDGw1pM=; b=BzT5wAWF1Xo9
 PIjjUe2aNODAcnTwpn1Vb6i0X47o9qJ9BAdE800VAeSq07qNUiS1zMY/WWzMJWOL1I/PZSJl6YNrQ
 QxbNDDpgMNuv7B2jLXEoqi9QAtwTL6yhMUHo8MDsxLOFtR4oBDWiQpJ80dKFuVrR4RNGgRIqpE0K2
 oqqao7fFQIgZwD/Pd1afaeaxR9Y5sVrUp59Ne+NIXbrwSblwcLM0ApaCK8lLhIOP/lRS1IEC1H36x
 llwaPgvfR8ZCm2sFmE7X/kqWNKZyGDiTCCQmMf3DhHAjI5Z4kOoS7wVnmVJUF4EVnJgkJkX4DBzhO
 XfwWO6nQENcNRh6Met4bxg==;
Received: from [87.69.77.57] (port=1619 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVOKm-0007NE-Ct; Mon, 05 Sep 2022 22:29:04 -0400
Date: Tue, 06 Sep 2022 05:28:44 +0300
Message-Id: <83k06hjkwz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e392485748bca7@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 21:17:22 +0000)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
 <0b2303e392485748bca7@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 21:17:22 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Amin Bandali <bandali@HIDDEN>, 57555 <at> debbugs.gnu.org
> 
> 
> Amin, can you try the following patch, and tell us if it fixes your 
> problem?

Why is this TRT, even if it does solve this particular problem?
Forgetting the other attributes is problematic, and would quite
certainly lead to much more serious problems.

Commit 6b1ed2f2c99a1c2da56c5f434570c438cad6576d, which allegedly
caused this problem, made the inverse change, for those reasons.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 21:17:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 17:17:26 2022
Received: from localhost ([127.0.0.1]:49063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVJTC-00033P-2O
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 17:17:26 -0400
Received: from heytings.org ([95.142.160.155]:56456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVJTA-00033H-5r
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 17:17:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662412642;
 bh=tTMzB0tTDWiWjobrSiR3taeS9hnuNpDDvRUX4OjEXdU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=anX2fl1RDiGvRhdN5p4hD8rrzy4LZmULSUBb4t/8blgQ4V0F3dZagxURUDT3sqi4b
 d7cnTRjrS8PW9fXw4kuTFKWVF+q2e2lxr/s7qYbixYGzYtR8mceUlHlXe6nbsuGEBf
 BG/AB1ErtROpZGQL1d3XuZm+uXAgZWOFmHAl39t4THGxYpSBf9Q3CeBQ17XqqZD6AQ
 9UmS/oPRR2MRsYHbRMrKtn5a2yUzWfZaGzOosSKCqEBOcYiD8B3Vo1ToA9Kto2+Mu2
 MTOFFR1Nd5pWoSeTVHcmC22NEohkthKfkWFmyiSeRbeCTwW53bjEjZMqE0EtRdp+qh
 kJr5lPX+y54Lg==
Date: Mon, 05 Sep 2022 21:17:22 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium weight
 default font
In-Reply-To: <83leqxk6g8.fsf@HIDDEN>
Message-ID: <0b2303e392485748bca7@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN> <83leqxk6g8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org, Amin Bandali <bandali@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Amin, can you try the following patch, and tell us if it fixes your 
problem?

diff --git a/src/xfaces.c b/src/xfaces.c
index 5e3a47d7f8..08f37cf0b2 100644
--- a/src/xfaces.c
+++ b/src/xfaces.c
@@ -6058,7 +6058,7 @@ realize_gui_face (struct face_cache *cache, 
Lisp_Object attrs[LFACE_VECTOR_SIZE]
         }
        if (! FONT_OBJECT_P (attrs[LFACE_FONT_INDEX]))
         attrs[LFACE_FONT_INDEX]
-         = font_load_for_lface (f, attrs, attrs[LFACE_FONT_INDEX]);
+         = font_load_for_lface (f, attrs, Ffont_spec (0, NULL));
        if (FONT_OBJECT_P (attrs[LFACE_FONT_INDEX]))
         {
           face->font = XFONT_OBJECT (attrs[LFACE_FONT_INDEX]);




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 18:44:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 14:44:04 2022
Received: from localhost ([127.0.0.1]:48823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVH4m-00072F-1A
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:44:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVH4j-00071c-Fe
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:44:01 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47470)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1oVH4e-0005Re-9M
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:43:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=uB5iWf4E6R2yQRvXzVEW4t6ZKeEh85cWRF99v2gu8sI=; b=BJbLCBTzPUG6
 bh47i6A/1zr1Om+h4afEFM4mpljy0dLD9qhgs6Qa39hhowGtTWIkzbL14JCRhOebea3380yZ741mN
 ySgN7N+MoSo1+0Hj3M9aOXq2elIxjR/UNtocK4V3SgYatWqQLmMtes2trYUqpji+YBHLYuDBovXJn
 SSxRweyCOMDj0JjavMd+yIZ2EXJbJa9f899DmijGw3jld3Sl93qEkiWRkThrlvfW1w+NchQPlTvgP
 twy2PKSjriJ8u/uIJDXVIS9656asOdjRrmMsaZBWrnOmECNiNf1l1jmp6L9euhuSx1lvEwHz8UpaK
 cezvuLHJxI9KDZ/amht3RA==;
Received: from [87.69.77.57] (port=1130 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVH4d-00047o-N3; Mon, 05 Sep 2022 14:43:56 -0400
Date: Mon, 05 Sep 2022 21:43:35 +0300
Message-Id: <83leqxk6g8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Amin Bandali <bandali@HIDDEN>
In-Reply-To: <87edwpfzvh.fsf@HIDDEN> (message from Amin Bandali on Mon, 05
 Sep 2022 14:19:14 -0400)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN> <87edwpfzvh.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Amin Bandali <bandali@HIDDEN>
> Cc: 57555 <at> debbugs.gnu.org
> Date: Mon, 05 Sep 2022 14:19:14 -0400
> 
> > Even if you set the face's font explicitly by its full XLFD name, not
> > implicitly via :family?
> >
> 
> Ha, so I just tried with the following XLFD:
> 
>     (set-face-font 'variable-pitch
>                    "-GNU -FreeSans-*-*-*-*-14-*-*-*-*-0-iso10646-1")
> 
> And it works, somewhat.  Emacs now uses GNU FreeSans, but seemingly
> only its regular variant.  Based on the '*' I specified for the third
> and fourth fields (WEIGHT_NAME and SLANT), I would expect it to pick
> GNU FreeSans's other variants (bold, oblique, or bold oblique) where
> needed, but it doesn't seem to.

No, it can't: you specified a particular font.  The requirement
regarding the slant variant wasn't in your original complaint ;-)

Anyway, feel free to step through font_load_for_lface and its
subroutines, to figure out why your FreeSans font is rejected for
variable-pitch face.  Maybe you will find something that could be
improved there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 18:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 14:19:32 2022
Received: from localhost ([127.0.0.1]:48801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVGgy-0006Pm-DH
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:19:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1oVGgt-0006PP-4d
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:19:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58102)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oVGgn-0001S1-T6
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 14:19:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=GgbU69+vzKVUm8+AwMO2hS1X1UPN6FhvsW39dOTzMPg=; b=AEagyxfz81r3KoruOsG7
 NhDIiQMY8z0KyVIfJczGxOxoOiMeWbjMTXfVGTydBWIw7kYM5K65eoRmdu6XcPqtRxmU6LL0qoMGE
 bZ8QYau5zWREM6OxqtXcdyWiEscL3+ty3TknA2OS97mZGm7MI6HbBx+PhLQuQXDF3mXlhgd+tJaF+
 9D/b4Zu3YGvOp9Tq7XbySaqRX4y71aAc02f3AZPJKLdN2qUYRfsM42SW+Q5LpdGqFbrEldJAW9TR8
 /tkjBXhkQkETJV2igNRlItslIemw5NI8oQoHFvjsxOU/5UcY/+67d0pMGAAMQLPAr3mgYXKdfqeE8
 CvmgCJVJpcglmg==;
Received: from bras-base-toroon473mw-grc-20-174-89-30-44.dsl.bell.ca
 ([174.89.30.44]:48274 helo=langa)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>)
 id 1oVGgl-0004CJ-MX; Mon, 05 Sep 2022 14:19:15 -0400
From: Amin Bandali <bandali@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <83o7vtkeft.fsf@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
 <83o7vtkeft.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 14:19:14 -0400
Message-ID: <87edwpfzvh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii writes:

>> From: Amin Bandali <bandali@HIDDEN>
>> Cc: 57555 <at> debbugs.gnu.org
>> Date: Mon, 05 Sep 2022 11:08:10 -0400
>> 
>> (when (display-graphic-p)
>>   (set-fontset-font t 'arabic "Vazir"))
>> 
>> And further down:
>> 
>> (when (display-graphic-p)
>>   (with-eval-after-load 'faces
>>     (let ((grey "#e7e7e7"))
>>       (set-face-attribute 'fixed-pitch nil :family "Source Code Pro")
>>       (set-face-attribute 'mode-line nil
>>                           :background grey
>>                           :inherit 'fixed-pitch))))
>
> Does it change anything if you remove the customization of fixed-pitch
> face?

Removing that did not change anything.

[...]
>
> Even if you set the face's font explicitly by its full XLFD name, not
> implicitly via :family?
>

Ha, so I just tried with the following XLFD:

    (set-face-font 'variable-pitch
                   "-GNU -FreeSans-*-*-*-*-14-*-*-*-*-0-iso10646-1")

And it works, somewhat.  Emacs now uses GNU FreeSans, but seemingly
only its regular variant.  Based on the '*' I specified for the third
and fourth fields (WEIGHT_NAME and SLANT), I would expect it to pick
GNU FreeSans's other variants (bold, oblique, or bold oblique) where
needed, but it doesn't seem to.

Here's a screenshot from Gnus, using the above set-face-font call to
set the above XLFD:

https://kelar.org/~bandali/tmp/20220903/gnus-after-xlfd.png

And here's a screenshot from Gnus without that call to set-face-font,
without the 6b1ed2f2c99a1c2da56c5f434570c438cad6576d emacs.git commit
that introduced this change:

https://kelar.org/~bandali/tmp/20220903/gnus-before.png

Notice how Emacs used to pick the bold and bold oblique variants for
those headers (gnus-before.png), but doesn't do so anymore
(gnus-after-xlfd.png).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 15:51:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 11:51:31 2022
Received: from localhost ([127.0.0.1]:48658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVENm-0002eS-Vn
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:51:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVENl-0002eG-C5
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:51:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35802)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1oVENg-0004OG-3R
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:51:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=d+ZH7grESFqzN4wFhNbb3CMKJ9Okw9e485Z3NkOSgXc=; b=ddULREFyJJrw
 naqabXgM8WvWLl7Ky6aV5VmyJWRUAy4Bg0Qwnvqiizruz45CSmRKmX6Y/MvUKCWz0pFq4udC3dqgi
 zXPnc5NIq5Cp/+aHsYqvsYrq9t8/72LYHH7YoN8Svl68EU30QPRo2rLS+r4pBEh04UrmQwY1r6gDY
 uIbD+2mua6Ed6j065fpzLZqRnHrgvsP2IGvjWw1u45lZmqaSnQX1EMrNjx/rtSDp1t8lHp6Vy++HZ
 igInM3xneaZDCLhNYjfG2wf8piHjneRqJ2pljuS6EDMRn5aX+ItmpbY/rnGCl0XpalxVEKEqdD24E
 y5GZdhi75BT5+vIsPl03TA==;
Received: from [87.69.77.57] (port=2525 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVENf-0004LO-HL; Mon, 05 Sep 2022 11:51:23 -0400
Date: Mon, 05 Sep 2022 18:51:02 +0300
Message-Id: <83o7vtkeft.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Amin Bandali <bandali@HIDDEN>
In-Reply-To: <87y1uxg8px.fsf@HIDDEN> (message from Amin Bandali on Mon, 05
 Sep 2022 11:08:10 -0400)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN> <87y1uxg8px.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Amin Bandali <bandali@HIDDEN>
> Cc: 57555 <at> debbugs.gnu.org
> Date: Mon, 05 Sep 2022 11:08:10 -0400
> 
> (when (display-graphic-p)
>   (set-fontset-font t 'arabic "Vazir"))
> 
> And further down:
> 
> (when (display-graphic-p)
>   (with-eval-after-load 'faces
>     (let ((grey "#e7e7e7"))
>       (set-face-attribute 'fixed-pitch nil :family "Source Code Pro")
>       (set-face-attribute 'mode-line nil
>                           :background grey
>                           :inherit 'fixed-pitch))))

Does it change anything if you remove the customization of fixed-pitch
face?

> > Can't you customize the variable-pitch face to specify the FreeSans
> > family, or even to specify the exact font you want Emacs to use?  That
> > should allow you to override any built-in heuristics that Emacs uses
> > when it has no other restrictions.
> >
> 
> This indeed doesn't seem to work anymore.  With the following,
> 
>     (set-face-attribute 'variable-pitch nil :family "FreeSans")
> 
> Emacs picks/uses Source Code Pro medium for variable-pitch (confirmed
> visually and with describe-char), even though describe-face for
> variable-pitch shows the family set as "FreeSans".  This used to work
> before, but not anymore.

Even if you set the face's font explicitly by its full XLFD name, not
implicitly via :family?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 15:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 11:08:18 2022
Received: from localhost ([127.0.0.1]:48612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVDhy-0007oe-FY
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:08:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1oVDhw-0007oR-VD
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:08:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49632)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oVDhr-0006d8-Nm
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 11:08:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=jsMU6JeGSZjYqd9904IizzkbkW8FrjQs0EkT/acPv9U=; b=mzcoYRH8X7NyRy+4LvC3
 MwgvmMdc/3B7+R0m0BW/AFcKWuOr3ahq5QIINmPdGd07x/hpTA+xmJMgZTjw3VkRtzBwyu4eVWKXK
 FqFCJj58J2vMRg3Qs48GsOBLg1uzvmctjQRPKB5zAtRFErxvVDlxsf8KNolv9JRUHyYSmanOy84hQ
 yghVvLrvxdT7zOeg4VqdCqoqBta0VPS56LMBjkI4gvvPfwfmuOUi4fL9hRbm19yvS4k3tJM2QHsSR
 cOZuMJTc/is0DkxM4lhFSCqv4yYGhWFyhp/Ynn0DWIWeKMkFhjAaaUR0Si5ZGfDEoTwop8fAZyy7j
 yR/48Enz4FXf0g==;
Received: from bras-base-toroon473mw-grc-20-174-89-30-44.dsl.bell.ca
 ([174.89.30.44]:39804 helo=langa)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>)
 id 1oVDhr-0003Kk-Aa; Mon, 05 Sep 2022 11:08:11 -0400
From: Amin Bandali <bandali@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <834jxmkp9f.fsf@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN> <834jxmkp9f.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 11:08:10 -0400
Message-ID: <87y1uxg8px.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii writes:

>> From: Amin Bandali <bandali@HIDDEN>
>> Cc: 57555 <at> debbugs.gnu.org
>> Date: Mon, 05 Sep 2022 03:06:48 -0400
>> 
>> Eli Zaretskii writes:
>> 
>> [...]
>> >
>> > Thanks, but please show the font setup you are using; without that, the
>> > "instead of the correct sans-serif variable-pitch font" part is
>> > impossible to interpret.
>> 
>> Thanks for your reply, Eli.  Globally, I'm basically using the default
>> font setup that Trisquel GNU/Linux comes with.  Here is a tarball of
>> the /etc/fonts/ directory on my system:
>
> Thanks, but I meant the font setup specific to Emacs, i.e.:
>
>   . any set-fontest-font calls in your init files
>   . any set-frame-font calls or any other face-related calls in your
>     init files that could affect the font selection
>
> Sorry for my imprecise wording.

Ah, right.  No problem. :-)  Other than setting the Emacs font from
Xresources (though I also did try with set-frame-font per my initial
email, with the same results), this is pretty much all I have in my
init file that's related to fonts:

(when (display-graphic-p)
  (set-fontset-font t 'arabic "Vazir"))

And further down:

(when (display-graphic-p)
  (with-eval-after-load 'faces
    (let ((grey "#e7e7e7"))
      (set-face-attribute 'fixed-pitch nil :family "Source Code Pro")
      (set-face-attribute 'mode-line nil
                          :background grey
                          :inherit 'fixed-pitch))))

[...]
>
> I think this means that Emacs gives greater importance to consistency
> in weight than to consistency of the family.  Not sure if that is TRT.

Hmm, right.  That may indeed not be TRT: at least in this case (and
with various other fonts I've tried/used in the past), their weights
don't necessarily match.  For instance, I find Source Code Pro's
regular weight way too thin, and I prefer to use its medium weight
wherever possible.  It's more readable and much more closely matches
the regular weight of GNU FreeSans and most other sans fonts on my
machine.

>> Right.  For what it's worth, I find Emacs picking misc-fixed for
>> variable-pitch text more than just a minor annoyance: for long hours
>> of use, I find misc-fixed it considerably less comfortable to my eyes
>> than GNU FreeSans (for proportional/variable-pitch) or Source Code Pro
>> medium (for monospace).
>
> Can't you customize the variable-pitch face to specify the FreeSans
> family, or even to specify the exact font you want Emacs to use?  That
> should allow you to override any built-in heuristics that Emacs uses
> when it has no other restrictions.
>

This indeed doesn't seem to work anymore.  With the following,

    (set-face-attribute 'variable-pitch nil :family "FreeSans")

Emacs picks/uses Source Code Pro medium for variable-pitch (confirmed
visually and with describe-char), even though describe-face for
variable-pitch shows the family set as "FreeSans".  This used to work
before, but not anymore.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 11:57:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 07:57:47 2022
Received: from localhost ([127.0.0.1]:46655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAjb-0006ce-BS
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:57:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVAjZ-0006cQ-Qc
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:57:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60162)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1oVAjU-0006Ea-JO
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:57:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=/2DcOZbEVIO92axN2bDqN6Bv5TD5LUYQfvjhYkrKrkg=; b=XQ3coPAFfGz6
 ZmA3znLhERyq5spH21pWR+kMjpGCMFSGH2RCrru/c3I/rPavC2eQfY0buBfq9eIUItvtkwb5Dfhc4
 dToYESXZQofoq1oe37U3cwc33Wk7qbmhdYr58ykyMw2yRqW8YGehd5V9/nk2hj3nNUoX3YtV6rpze
 spWHLvkkx9Di5jUt+COeQ2K7IRFNldKHNCpjwYDovGMr5DXoYDG46nHitcS0Vxr9matwSfI2oPDvX
 Z7QBxXABfAF4S1YUS6ek+q1GiEfdFgnsjfytvU7K5H/UsdakmKxPfplh5wmN2mjVOuWY7MYiVy5+t
 /vih6TdWTYh92fAuIy5ImQ==;
Received: from [87.69.77.57] (port=4135 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVAjT-000341-AW; Mon, 05 Sep 2022 07:57:39 -0400
Date: Mon, 05 Sep 2022 14:57:16 +0300
Message-Id: <834jxmkp9f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Amin Bandali <bandali@HIDDEN>
In-Reply-To: <878rmymh9z.fsf@HIDDEN> (message from Amin Bandali on Mon, 05
 Sep 2022 03:06:48 -0400)
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
 <878rmymh9z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Amin Bandali <bandali@HIDDEN>
> Cc: 57555 <at> debbugs.gnu.org
> Date: Mon, 05 Sep 2022 03:06:48 -0400
> 
> Eli Zaretskii writes:
> 
> [...]
> >
> > Thanks, but please show the font setup you are using; without that, the
> > "instead of the correct sans-serif variable-pitch font" part is
> > impossible to interpret.
> 
> Thanks for your reply, Eli.  Globally, I'm basically using the default
> font setup that Trisquel GNU/Linux comes with.  Here is a tarball of
> the /etc/fonts/ directory on my system:

Thanks, but I meant the font setup specific to Emacs, i.e.:

  . any set-fontest-font calls in your init files
  . any set-frame-font calls or any other face-related calls in your
    init files that could affect the font selection

Sorry for my imprecise wording.

> > Also, do you have the medium (not regular) variant of the GNU FreeSans
> > font installed?  If not, can you install it and try again?
> 
> As far as I can tell, GNU FreeSans does not have a medium variant;
> only regular, bold, oblique, and bold oblique:
> 
> $ ls /usr/share/fonts/truetype/freefont/FreeSans*.ttf
> /usr/share/fonts/truetype/freefont/FreeSansBoldOblique.ttf
> /usr/share/fonts/truetype/freefont/FreeSansBold.ttf
> /usr/share/fonts/truetype/freefont/FreeSansOblique.ttf
> /usr/share/fonts/truetype/freefont/FreeSans.ttf
> 
> I suppose what might be happening here is that Emacs now tries to use
> a medium variant for the variable-pitch GNU FreeSans as well (even
> though I'd expect that 'medium' to only apply to the font I explicitly
> mentioned it for, i.e. Source Code Pro), which does not have such a
> variant, and then it falls all the way back to "misc-fixed".  What is
> a bit curious, though, is that this doesn't seem to affect italic
> variable-pitch text, and Emacs correctly picks GNU FreeSans oblique
> for that just fine.

I think this means that Emacs gives greater importance to consistency
in weight than to consistency of the family.  Not sure if that is TRT.

> Right.  For what it's worth, I find Emacs picking misc-fixed for
> variable-pitch text more than just a minor annoyance: for long hours
> of use, I find misc-fixed it considerably less comfortable to my eyes
> than GNU FreeSans (for proportional/variable-pitch) or Source Code Pro
> medium (for monospace).

Can't you customize the variable-pitch face to specify the FreeSans
family, or even to specify the exact font you want Emacs to use?  That
should allow you to override any built-in heuristics that Emacs uses
when it has no other restrictions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 5 Sep 2022 07:07:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 03:07:04 2022
Received: from localhost ([127.0.0.1]:46282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV6CE-00014P-0R
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 03:07:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42164)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1oV6C8-000142-EQ
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 03:07:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52194)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oV6C3-00012m-56
 for 57555 <at> debbugs.gnu.org; Mon, 05 Sep 2022 03:06:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=SoEeggCCNBCvZP3g7MvrIl76OoXE8QM0vXCXGwvQXgQ=; b=XrqmLxMixwoGXHOuIYz8
 JmrKv1jJanlx5uGhsohE/XL4VUn+Fg65awDFsuKAsHwdcVTNua/nK0AsDB+9z0t4e8DvFg+AvdTjL
 sTzVjhTz6zKpDcSX2/mDTTpszeUdHxBLqckf5oncYm6Odw8KYmvsv5TiKdvN5NH+VAUpLZ/fQLvsX
 kumXi/BVH1XUIqet3vyZ+KutcUiLGH+pTspNCUuTavS/0kAFsFG23cI/mrjneMRR2O4gzmsuprmo7
 z9fPoTDt3uJeGTntrl96a+M6MvE2t9uh5VL3fdZymwzTexQDwO3aLuAmML4wE8ZUqn70xqzz5CsGA
 RodrCJuUQwnRAw==;
Received: from bras-base-toroon473mw-grc-20-174-89-30-44.dsl.bell.ca
 ([174.89.30.44]:59806 helo=langa)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>)
 id 1oV6C1-00075w-Ld; Mon, 05 Sep 2022 03:06:50 -0400
From: Amin Bandali <bandali@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57555: 29.0.50; variable-pitch font issue with medium
 weight default font
In-Reply-To: <83pmgdnfhs.fsf@HIDDEN>
References: <874jxpjl43.fsf@HIDDEN> <83pmgdnfhs.fsf@HIDDEN>
Date: Mon, 05 Sep 2022 03:06:48 -0400
Message-ID: <878rmymh9z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii writes:

[...]
>
> Thanks, but please show the font setup you are using; without that, the
> "instead of the correct sans-serif variable-pitch font" part is
> impossible to interpret.

Thanks for your reply, Eli.  Globally, I'm basically using the default
font setup that Trisquel GNU/Linux comes with.  Here is a tarball of
the /etc/fonts/ directory on my system:

https://kelar.org/~bandali/tmp/20220903/etc-fonts.tar.gz

Beyond that, I have a few additional local (user-specific) settings in
in my ~/.config/fontconfig/fonts.conf, but this is the main relevant
excerpt, where I specify that sans-serif should be GNU FreeSans (and
this works basically in all applications, including Firefox-based
browsers, and until recently Emacs as well):

  <alias binding="strong">
   <family>sans-serif</family>
   <prefer>
    <family>FreeSans</family>
    <family>Sahel WOL</family>
    <family>Liberation Sans</family>
    <family>Roboto</family>
   </prefer>
  </alias>

The complete file is available from:

https://kelar.org/~bandali/tmp/20220903/fonts.conf

> Also, do you have the medium (not regular) variant of the GNU FreeSans
> font installed?  If not, can you install it and try again?

As far as I can tell, GNU FreeSans does not have a medium variant;
only regular, bold, oblique, and bold oblique:

$ ls /usr/share/fonts/truetype/freefont/FreeSans*.ttf
/usr/share/fonts/truetype/freefont/FreeSansBoldOblique.ttf
/usr/share/fonts/truetype/freefont/FreeSansBold.ttf
/usr/share/fonts/truetype/freefont/FreeSansOblique.ttf
/usr/share/fonts/truetype/freefont/FreeSans.ttf

I suppose what might be happening here is that Emacs now tries to use
a medium variant for the variable-pitch GNU FreeSans as well (even
though I'd expect that 'medium' to only apply to the font I explicitly
mentioned it for, i.e. Source Code Pro), which does not have such a
variant, and then it falls all the way back to "misc-fixed".  What is
a bit curious, though, is that this doesn't seem to affect italic
variable-pitch text, and Emacs correctly picks GNU FreeSans oblique
for that just fine.

> What seems to happen here is that Emacs decides that the font you
> don't like is a better match than the one you do like.  Which is not a
> serious problem from my POV (as long as the text is legible), just a
> minor aesthetic annoyance.  To fix such annoyances, one must tune
> one's font configuration.  But even if the annoyance stays, it's
> definitely less serious than the original problem which that commit
> attempted to fix.
>
> Thanks.
>

Right.  For what it's worth, I find Emacs picking misc-fixed for
variable-pitch text more than just a minor annoyance: for long hours
of use, I find misc-fixed it considerably less comfortable to my eyes
than GNU FreeSans (for proportional/variable-pitch) or Source Code Pro
medium (for monospace).


Thanks again,
-a




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at 57555 <at> debbugs.gnu.org:


Received: (at 57555) by debbugs.gnu.org; 3 Sep 2022 06:23:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 02:23:46 2022
Received: from localhost ([127.0.0.1]:40839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUMZG-0006I9-4J
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 02:23:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUMZE-0006Hu-4s
 for 57555 <at> debbugs.gnu.org; Sat, 03 Sep 2022 02:23:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47754)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1oUMZ8-0006a9-Rz
 for 57555 <at> debbugs.gnu.org; Sat, 03 Sep 2022 02:23:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=coeffRp6GNjaLZFk2wOh7zP3RB3TWNH37dfev2i8Gew=; b=lfhjEgkTzbX9
 7AhYsmoQPXtyT/V54EdCK495jy9dc+SgVo6MNuwal4JKztmbBjo20lP7TmyAhG0HW4A2bMWs9s24A
 bZaa6j2qDDMRvcphQ+bCt9BvDaEjOoJ+l+iFgwHgiNAgBertpMD5N63bVj7D0kOye2ZPqtGZkvxWq
 iNaLre6Nz/IMORqkG41nKMFHdd4DKB98SLB4WrM8oSLZQX8zIfjqdpNahKiXuLRr2+wbeMBqZN2dW
 C4o2TyknxbAOLJ+DFe+0sHrxGH3uRqds112h/+Z8WQOxb6YG4xBPWmYXlIg8XLNNvwYLTBQf4BbhO
 F2+slNNekD18MJ9UGUcQYA==;
Received: from [87.69.77.57] (port=2264 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUMZ7-0002le-W0; Sat, 03 Sep 2022 02:23:38 -0400
Date: Sat, 03 Sep 2022 09:23:11 +0300
Message-Id: <83pmgdnfhs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Amin Bandali <bandali@HIDDEN>
In-Reply-To: <874jxpjl43.fsf@HIDDEN> (message from Amin Bandali on Fri, 02
 Sep 2022 21:35:24 -0400)
Subject: Re: bug#57555: 29.0.50;
 variable-pitch font issue with medium weight default font
References: <874jxpjl43.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57555
Cc: 57555 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Amin Bandali <bandali@HIDDEN>
> Date: Fri, 02 Sep 2022 21:35:24 -0400
> 
> As of the recent 6b1ed2f2c99a1c2da56c5f434570c438cad6576d, I've been
> experiencing an issue where Emacs chooses / falls back on 'misc-fixed'
> instead of the correct sans-serif variable-pitch font ('GNU FreeSans',
> for me) when I use a custom default font with medium weight.
> 
> Screenshots from before (no issue) and after (with issue) the commit:
> 
> https://kelar.org/~bandali/tmp/20220903/before-6b1ed2f.png
> https://kelar.org/~bandali/tmp/20220903/after-6b1ed2f.png
> 
> This happens regardless of whether I set the font via X resources:
> 
>     Emacs.font: Source Code Pro Medium-10.5
> 
> or with Emacs Lisp:
> 
>     (set-frame-font "Source Code Pro-10.5:weight=medium" nil t)
> 
> This happens only if I use the medium weight variant, and if I leave
> that out and just use Source Code Pro (regular) this doesn't happen.
> Also, perhaps strangely enough, the issue seems to only affect the
> regular variable-pitch font: e.g. italic variable-pitch is correctly
> displayed in sans-serif.

Thanks, but please show the font setup you are using; without that, the
"instead of the correct sans-serif variable-pitch font" part is
impossible to interpret.

Also, do you have the medium (not regular) variant of the GNU FreeSans
font installed?  If not, can you install it and try again?

What seems to happen here is that Emacs decides that the font you
don't like is a better match than the one you do like.  Which is not a
serious problem from my POV (as long as the text is legible), just a
minor aesthetic annoyance.  To fix such annoyances, one must tune
one's font configuration.  But even if the annoyance stays, it's
definitely less serious than the original problem which that commit
attempted to fix.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Sep 2022 01:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 21:35:29 2022
Received: from localhost ([127.0.0.1]:40626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUI4H-00050S-8N
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 21:35:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:59536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bandali@HIDDEN>) id 1oUI4F-00050K-4v
 for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 21:35:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59348)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oUI4F-00035E-0s
 for bug-gnu-emacs@HIDDEN; Fri, 02 Sep 2022 21:35:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42796)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oUI4E-000664-Na
 for bug-gnu-emacs@HIDDEN; Fri, 02 Sep 2022 21:35:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:Subject:To:From:in-reply-to:
 references; bh=uIOM8E1KFgrNXGTPs/OY1LUmcSdZSWpxTStqi9sX+lE=; b=J3snHBZfCBMNK0
 0l3nJ9hXj1F1fGZbxg9zPnS1eFgcPF5DvAinRb/fnQUBYIsMDWTmxfzWROqMxAAHWpyv0xgjoa6nh
 sdcjtv4iHAdGQf2owc27CDjuzZrCvHWWinzqWA3VX3p9YIRuIykfvwD5L5Q5VVesAccKpDACJvA8l
 wHFwNjd/gawoFNDqt1EsJVsKvbv5fdn278wVKD20WIJ9DOrlR/HSu+wsGE/5Ru6hSS+IK76yWxEg5
 TTQvg3FWZSykTZ72HIsRu6+YELjZ/AFWlaKYaSzxNfQUUuWtswie1jor2ERGn4ezPxBKUDgirtwwJ
 zNNF7C483W+2Jd7ZP0fQ==;
Received: from bras-base-toroon473mw-grc-20-174-89-30-44.dsl.bell.ca
 ([174.89.30.44]:34112 helo=langa)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bandali@HIDDEN>) id 1oUI4D-00052f-L7
 for bug-gnu-emacs@HIDDEN; Fri, 02 Sep 2022 21:35:26 -0400
From: Amin Bandali <bandali@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; variable-pitch font issue with medium weight default font
Date: Fri, 02 Sep 2022 21:35:24 -0400
Message-ID: <874jxpjl43.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

As of the recent 6b1ed2f2c99a1c2da56c5f434570c438cad6576d, I've been
experiencing an issue where Emacs chooses / falls back on 'misc-fixed'
instead of the correct sans-serif variable-pitch font ('GNU FreeSans',
for me) when I use a custom default font with medium weight.

Screenshots from before (no issue) and after (with issue) the commit:

https://kelar.org/~bandali/tmp/20220903/before-6b1ed2f.png
https://kelar.org/~bandali/tmp/20220903/after-6b1ed2f.png

This happens regardless of whether I set the font via X resources:

    Emacs.font: Source Code Pro Medium-10.5

or with Emacs Lisp:

    (set-frame-font "Source Code Pro-10.5:weight=medium" nil t)

This happens only if I use the medium weight variant, and if I leave
that out and just use Source Code Pro (regular) this doesn't happen.
Also, perhaps strangely enough, the issue seems to only affect the
regular variable-pitch font: e.g. italic variable-pitch is correctly
displayed in sans-serif.


In GNU Emacs 29.0.50 (build 86, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2022-09-02 built on langa
Repository revision: 63ee620700b1d85f7069a0b0f4232815e5374b4c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Trisquel GNU/Linux Nabia (10.0.1)

Configured using:
 'configure --without-gconf --without-gsettings --without-gpm
 --with-x-toolkit=lucid --with-xaw3d --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LCMS2
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS WEBP
X11 XAW3D XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  display-battery-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  server-mode: t
  winner-mode: t
  windmove-mode: t
  global-hl-todo-mode: t
  pixel-scroll-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  savehist-mode: t
  save-place-mode: t
  global-display-fill-column-indicator-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t

Load-path shadows:
None found.

Features:
(shadow sort gnus-cite flyspell ispell mail-extr emacsbug gnus-topic
nndoc nndraft nnmh utf-7 epa-file network-stream nsm nnfolder nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime gnutls dig nntp gnus-cache
gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
gnus-spec gnus-int gnus-range message sendmail yank-media puny dired-x
dired dired-loaddefs rfc822 mml mml-sec epa epg rfc6068 epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mailabbrev gmm-utils mailheader gnus-win gnus nnheader
gnus-util mail-utils range mm-util mail-prsvr battery dbus
cmake-font-lock boxquote rect cl-extra yasnippet help-mode server
winner windmove cmake-mode thingatpt derived rst compile
text-property-search hl-todo pcase delight ffs pixel-scroll cua-base
tramp-cache time-stamp tramp-sh tramp rx tramp-loaddefs trampver
tramp-integration cus-edit pp cus-start cus-load icons files-x
tramp-compat shell pcomplete comint ansi-color ring parse-time iso8601
time-date ls-lisp format-spec recentf tree-widget wid-edit savehist
saveplace easy-mmode display-fill-column-indicator autorevert
filenotify time xml finder-inf boxquote-autoloads
modus-themes-autoloads info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile cconv url-vars cl-loaddefs
cl-lib view bandali-po bandali-erc bandali-message bandali-gnus
bandali-dired bandali-ibuffer ibuf-macs bandali-eshell bandali-org
advice rmc iso-transl tooltip eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer
select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 272607 55417)
 (symbols 48 21970 2)
 (strings 32 80614 6279)
 (string-bytes 1 2420189)
 (vectors 16 37593)
 (vector-slots 8 437507 11528)
 (floats 8 264 106)
 (intervals 56 1444 0)
 (buffers 1000 24))




Acknowledgement sent to Amin Bandali <bandali@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57555; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 8 Sep 2022 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.